%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% fancyposter.cls LaTeX-Classfile to typeset fancy posters in different formats
%% copyright Peter Ganten (c) 1999 E-Mail: peter@ganten.org
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\ProvidesClass{fancyposter}[1999/10/27 v1.0 fancyposter class (Peter Ganten)]
\NeedsTeXFormat{LaTeX2e}[1995/06/01]

\newlength\pleft
\newlength\pright
\newlength\ptop
\newlength\pbottom
\newlength\watermarkhight
\newlength\pcsep

\def\psize{a3paper}
\def\pgradlines{100}
\def\plandsc{portrait}
\setlength\pleft{1cm}
\setlength\pright{1cm}
\setlength\ptop{1cm}
\setlength\pbottom{1cm}
\setlength\watermarkhight{8cm}
\setlength\pcsep{1cm}

\DeclareOption{a3}{\def\psize{a3paper}
		\def\pgradlines{100}
		\setlength\pleft{1cm}
		\setlength\pright{1cm}
		\setlength\ptop{1cm}
		\setlength\pbottom{1cm}
		\setlength\pcsep{1cm}
		\setlength\watermarkhight{8cm}}

\DeclareOption{a2}{\def\psize{a2paper}
		\def\pgradlines{150}
		\setlength\pleft{1cm}
		\setlength\pright{1cm}
		\setlength\ptop{1cm}
		\setlength\pbottom{1cm}
		\setlength\pcsep{1.4cm}
		\setlength\watermarkhight{14cm}}

\DeclareOption{a1}{\def\psize{a1paper}
		\def\pgradlines{250}
		\setlength\pleft{2cm}
		\setlength\pright{1cm}
		\setlength\ptop{1cm}
		\setlength\pbottom{1cm}
		\setlength\pcsep{2cm}
		\setlength\watermarkhight{20cm}}

\DeclareOption{a0}{\def\psize{a0paper}
		\def\pgradlines{400}
		\setlength\pleft{1cm}
		\setlength\pright{1cm}
		\setlength\ptop{1cm}
		\setlength\pbottom{1cm}
		\setlength\pcsep{3.2cm}
		\setlength\watermarkhight{32cm}}

\DeclareOption{landscape}{\def\plandsc{landscape}}

\ExecuteOptions{a3} \ProcessOptions
\LoadClass{article}


%% 
%% borrowed from `a0size.sty' (v1.21b) included in the a0poster package
%% 
%% Copyright (C) 07.05.97 Gerlinde Kettl and Matthias Weiser
%%

\DeclareFontShape{OT1}{cmr}{m}{n}
   {  <5> <6> <7> <8> <9> <10> <12> gen * cmr
      <10.95> cmr10
      <14.4>  cmr12
      <17.28><20.74><24.88>cmr17
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmr17}{}

\DeclareFontShape{OT1}{cmr}{m}{sl}
    {
      <5><6><7>cmsl8%
      <8> <9> gen * cmsl
      <10><10.95>cmsl10%
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmsl12}{}

\DeclareFontShape{OT1}{cmr}{m}{it}
    {
      <5><6><7>cmti7%
      <8>cmti8%
      <9>cmti9%
      <10><10.95>cmti10%
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmti12}{}

\DeclareFontShape{OT1}{cmr}{m}{sc}
    {
      <5><6><7><8><9><10><10.95><12>
      <14.4><17.28><20.74><24.88> 
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmcsc10}{}

\DeclareFontShape{OT1}{cmr}{m}{ui}
   {
      <5><6><7><8><9><10><10.95><12>
      <14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmu10}{}
      
\DeclareFontShape{OT1}{cmr}{b}{n}
     {
      <5><6><7><8><9><10><10.95><12>
      <14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmb10}{}

\DeclareFontShape{OT1}{cmr}{bx}{n}
   {
      <5> <6> <7> <8> <9> gen * cmbx
      <10><10.95> cmbx10
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbx12}{}
       
\DeclareFontShape{OT1}{cmr}{bx}{sl}
      {
      <5> <6> <7> <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbxsl10}{}

\DeclareFontShape{OT1}{cmr}{bx}{it}
      {
      <5> <6>  <7>  <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbxti10}{}

\DeclareFontShape{OT1}{cmss}{m}{n}
     {
      <5><6><7><8>cmss8
      <9>cmss9
      <10><10.95>cmss10
      <12><14.4>cmss12
      <17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmss17}{}

\DeclareFontShape{OT1}{cmss}{m}{sl}
    {
      <5><6><7><8>cmssi8 <9> cmssi9
      <10><10.95>cmssi10
      <12><14.4>cmssi12
      <17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmssi17}{}

\DeclareFontShape{OT1}{cmss}{sbc}{n}
     {
      <5> <6> <7> <8> <9> cmssdc10
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmssdc10}{}

\DeclareFontShape{OT1}{cmss}{bx}{n}
     {
      <5> <6> <7> <8> <9> cmssbx10
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmssbx10}{}

\DeclareFontShape{OT1}{cmtt}{m}{n}
     {
      <5><6><7><8>cmtt8 <9> cmtt9
      <10><10.95>cmtt10
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmtt12}{}
      
\DeclareFontShape{OT1}{cmtt}{m}{it}
     {
      <5> <6> <7> <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmitt10}{}     
     
\DeclareFontShape{OT1}{cmtt}{m}{sl}
     {
      <5> <6> <7> <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmsltt10}{}
     
\DeclareFontShape{OT1}{cmtt}{m}{sc}
     {
      <5> <6> <7> <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmtcsc10}{}     

\DeclareFontShape{OML}{cmm}{m}{it}
    { <5> <6> <7> <8> <9> gen * cmmi
      <10><10.95>cmmi10
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmmi12}{}

\DeclareFontShape{OML}{cmm}{b}{it}{%
      <5> <6> <7> <8> <9> gen * cmmib
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmmib10}{}


\DeclareFontShape{OMS}{cmsy}{m}{n}{%
      <5> <6> <7> <8> <9> <10> gen * cmsy
      <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmsy10}{}

\DeclareFontShape{OMS}{cmsy}{b}{n}{%
      <5> <6> <7> <8> <9> gen * cmbsy
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbsy10}{}

\DeclareFontShape{OMX}{cmex}{m}{n}{%
      <-8>sfixed * cmex7
      <8> cmex8
      <9> cmex9
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> 
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmex10}{}

\DeclareFontShape{U}{cmr}{m}{n}
   {  <5> <6> <7> <8> <9> <10> <12> gen * cmr
      <10.95> cmr10
      <14.4>  cmr12
      <17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmr17}{}

\DeclareFontShape{U}{cmr}{m}{sl}
    {
      <5><6><7>cmsl8%
      <8> <9> gen * cmsl
      <10><10.95>cmsl10%
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmsl12}{}

\DeclareFontShape{U}{cmr}{m}{it}
    {
      <5><6><7>cmti7%
      <8>cmti8%
      <9>cmti9%
      <10><10.95>cmti10%
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmti12}{}

\DeclareFontShape{U}{cmr}{m}{sc}
    {
      <5><6><7><8><9><10><10.95><12>
      <14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmcsc10}{}

\DeclareFontShape{U}{cmr}{m}{ui}
   {
      <5><6><7><8><9><10><10.95><12>%
      <14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmu10}{}

\DeclareFontShape{U}{cmr}{b}{n}
     {
      <5><6><7><8><9><10><10.95><12>
      <14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmb10}{}

\DeclareFontShape{U}{cmr}{bx}{n}
   {
      <5> <6> <7> <8> <9> gen * cmbx
      <10><10.95> cmbx10
      <12><14.4><17.28><20.74><24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbx12}{}

\DeclareFontShape{U}{cmr}{bx}{sl}
      {
      <5> <6> <7> <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbxsl10}{}

\DeclareFontShape{U}{cmr}{bx}{it}
      {
      <5> <6>  <7>  <8> <9>
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> 
      <29.86> <35.83> <43.00> <51.6> <61.92> <74.3> <89.16> <107.0> cmbxti10}{}

%% Copied from exscale.sty
%% Copyright (C) 1992-1995 Frank Mittelbach and Rainer Sch\"opf,
%% all rights reserved.

\DeclareSymbolFont{largesymbols}{OMX}{cmex}{m}{n}
\newdimen\big@size
\addto@hook\every@math@size{\setbox\z@\vbox{\hbox{$($}\kern\z@}%
   \global\big@size 1.2\ht\z@}
\def\bBigg@#1#2{%
   {\hbox{$\left#2\vcenter to#1\big@size{}\right.\n@space$}}}
\def\big{\bBigg@\@ne}
\def\Big{\bBigg@{1.5}}
\def\bigg{\bBigg@\tw@}
\def\Bigg{\bBigg@{2.5}}

%% End of copy

\DeclareMathSizes{24.88}{24.88}{20.74}{14.4}
\DeclareMathSizes{29.86}{29.86}{20.74}{14.4}
\DeclareMathSizes{35.83}{35.83}{24.88}{17.28}
\DeclareMathSizes{43.00}{43.00}{35.83}{24.88}
\DeclareMathSizes{51.6}{51.6}{35.83}{24.88}
\DeclareMathSizes{61.92}{61.92}{43}{29.86}
\DeclareMathSizes{74.3}{74.3}{51.6}{35.83}
\DeclareMathSizes{89.16}{89.16}{61.92}{43}
\DeclareMathSizes{107}{107}{74.3}{51.6}

%% End of a0size.sty 


% Very HUGE Fonts
\renewcommand{\tiny}{\fontsize{12}{14}\selectfont}
\renewcommand{\scriptsize}{\fontsize{14.4}{18}\selectfont}   
\renewcommand{\footnotesize}{\fontsize{17.28}{22}\selectfont}
\renewcommand{\small}{\fontsize{20.74}{25}\selectfont}
\renewcommand{\normalsize}{\fontsize{24.88}{30}\selectfont}
\renewcommand{\large}{\fontsize{29.86}{37}\selectfont}
\renewcommand{\Large}{\fontsize{35.83}{45}\selectfont}
\renewcommand{\LARGE}{\fontsize{43}{54}\selectfont}
\renewcommand{\huge}{\fontsize{51.6}{64}\selectfont}
\renewcommand{\Huge}{\fontsize{61.92}{77}\selectfont}
\newcommand{\veryHuge}{\fontsize{74.3}{93}\selectfont}
\newcommand{\VeryHuge}{\fontsize{89.16}{112}\selectfont}
\newcommand{\VERYHuge}{\fontsize{107}{134}\selectfont}

\setlength\smallskipamount{6pt plus 2pt minus 2pt}
\setlength\medskipamount{12pt plus 4pt minus 4pt}
\setlength\bigskipamount{24pt plus 8pt minus 8pt}

\setlength\abovecaptionskip{25pt}
\setlength\belowcaptionskip{0pt}
\setlength\abovedisplayskip{25pt plus 6pt minus 15 pt}
\setlength\abovedisplayshortskip{0pt plus 6pt}
\setlength\belowdisplayshortskip{13pt plus 7pt minus 6pt}
\setlength\belowdisplayskip\abovedisplayskip

\normalsize

% Page Layout
\RequirePackage[dvips]{geometry}
\geometry{\psize,\plandsc,noheadfoot,%twosideshift=0pt,%
left=\pleft,right=\pright,top=\ptop,bottom=\pbottom}

% include graphics
\RequirePackage[dvips]{graphicx}

% First for background images
\RequirePackage{fancyhdr}

% PS Tricks (Color und much more)
\RequirePackage{pstricks}
\RequirePackage{pst-grad}
\RequirePackage{calc}

% Now define the actual background color
% Gradient color as background
\newrgbcolor{oben}{.8 .8 .9}
\newrgbcolor{unten}{.8 .9 .8}
\psset{gradlines=\pgradlines}
% \psset{gradmidpoint=0}
\def\Farbeoben#1{\psset{gradbegin=#1}} \psset{gradbegin=oben}
\def\Farbeunten#1{\psset{gradend=#1}} \psset{gradend=unten}

%To control floats
\RequirePackage{float}

% Schriftart w�hlen
\RequirePackage{times}

%Avoidance of single lines at the top or bottom of each page
\clubpenalty=10000
\widowpenalty=10000
\displaywidowpenalty=10000

% multiple columns?
\RequirePackage{multicol}
% Seperation between columns
\setlength{\columnsep}{\pcsep}

% no section numbers
\setcounter{secnumdepth}{0}

% no top and bottom lines
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}

% for the background color box
\newlength{\xonset}
\newlength{\yonset}
\newlength{\xoffset}
\newlength{\yoffset}
\newlength{\brd}
\setlength{\brd}{((\pleft+\pright)/(4))}

\def\Wasserzeichen#1{\def\wasserzeichen{#1}} \def\wasserzeichen{}

% Define the background 
\pagestyle{fancy}
\fancyhead{}
\fancypagestyle{plain}{%
	\fancyhf{}%
	\fancyhead[C]{\setlength{\unitlength}{1in}
	\setlength{\xonset}{((\paperwidth/2)*(-1))+\brd}
	\setlength{\yonset}{((\paperheight-((\brd)*(4)))*(-1))}
	\setlength{\xoffset}{\paperwidth-((\brd)*(2))}
	\setlength{\yoffset}{\paperheight-((\brd)*(2))}
	\rput(\xonset,\yonset){\psframe[linestyle=none,fillstyle=gradient]
	(\xoffset,\yoffset)}
	\setlength{\yonset}{\yonset/2}
	\ifx \wasserzeichen\empty \else 
	\rput(0,\yonset){\includegraphics[height=\watermarkhight,keepaspectratio]
	{\wasserzeichen}}%
	\fi
	}}

% take this one, if we don't want anything
\pagestyle{plain}
